<div class="card card-border">
    <div class="card-body">
        <h5 class="card-title">
            {{ progressCard()?.title }}
        </h5>
        <div class="d-flex justify-content-md-center align-items-center">
            <div class="col-2">
                <div class="status-number">
                    {{ progressCard()?.statusNumber }}
                </div>
            </div>
            <div class="col-10">
                @if (progressCard()?.progress != null) {
                    <div class="progress">
                        <div
                            [ngClass]="['progress-bar', 'status-' + progressCard()?.progressStatus]"
                            [style.width]="makeStyle(progressCard()?.progress)"
                        ></div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>
